Buffer Overflow Affecting zziplib package, versions >=0.0.0


0.0
medium

Snyk CVSS

    Attack Complexity Low
    User Interaction Required
    Availability High
Expand this section
NVD
5.5 medium
Expand this section
RHEL
3.7 low

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-COCOAPODS-ZZIPLIB-471174
  • published 2 Oct 2019
  • disclosed 9 Feb 2017
  • credit Unknown

How to fix?

There is no fixed version for zziplib.

Overview

zziplib is a package that offers the ability to easily extract data from files archived in a single zip file

Affected versions of this package are vulnerable to Buffer Overflow. An adversary can trigger heap-based buffer overflow through a ZIP file in the __zzip_get64 function in fetch.c.